
Core - Feature # 24005

Status: Resolved Priority: Should have
Author: Benjamin Mack Category: TypoScript
Created: 2010-11-10 Assigned To: Benjamin Mack
Updated: 2013-10-13 Due date:
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: cObject CONTENT does not allow to fetch records that have no translation parent
Description

When you fetch records through the TypoScript object "CONTENT" (or, let's say through ".select" in general), you have an option
called "languageField" in order to fetch only records that match the current language.

What "select" does here is that it fetches all records in the default language ("0,-1") and then overlays them with the records of the
current language.

However, it's not possible to fetch the records that don't have a localization parent.

The patch introduces a new option called "includeRecordsWithoutDefaultTranslation" that also checks for records with the
languageField matching the current language, where there is no translation parent (l10n_parent = '').

(issue imported from #M16332)

Related issues:
related to TypoScript Reference (TSref) - Feature # 49106: Add new option "in... Resolved 2013-06-13
precedes Core - Bug # 57087: Property includeRecordsWithoutDefaultTranslation... Resolved 2014-03-19

Associated revisions
Revision b3b5c7d9 - 2013-10-13 15:52 - Benjamin Mack

[FEATURE] Let select() fetch records without translation parent

When you fetch records through the TypoScript object
"CONTENT" (or, let's say through ".select" in general),
you have an option called "languageField" in order
to fetch only records that match the current language.

What "select" does here, is that it fetches all records in
the default language ("0,-1") and then overlays them
with the records of the current language.

However, it's not possible to fetch the records that
don't have a localization parent.

The patch introduces a new option called
"includeRecordsWithoutDefaultTranslation" that also
checks for records with the languageField matching the
current language, where there is no translation parent
(l10n_parent = 0).

2015-08-04 1/3



Change-Id: I48dc3a3b72a1dce515c5e5dd2278137888a1fe7f
Resolves: #24005
Releases: 6.2
Reviewed-on: https://review.typo3.org/13083
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2012-07-26 16:29 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13083

#2 - 2012-07-26 21:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13083

#3 - 2013-06-13 18:41 - Markus Klein
- Category deleted (Communication)
- Target version changed from 0 to 6.2.0

#4 - 2013-06-13 18:42 - Markus Klein
- Category set to TypoScript

#5 - 2013-06-13 18:46 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13083

#6 - 2013-06-13 18:47 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13083

#7 - 2013-09-27 00:54 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/13083

#8 - 2013-10-13 16:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-04 2/3

https://review.typo3.org/13083
http://review.typo3.org/13083
http://review.typo3.org/13083
https://review.typo3.org/13083
https://review.typo3.org/13083
https://review.typo3.org/13083


Applied in changeset commit:b3b5c7d99f9bf948ad449e604ba506e413bf5e49.

Files
nodefaulttranslation.patch 1.5 kB 2010-11-10 Administrator Admin
